Package com.collabnet.ce.soap60.webservices.news

# Class NewsAppSoap

java.lang.Object
com.collabnet.ce.soap60.webservices.WebService
com.collabnet.ce.soap60.webservices.news.NewsAppSoap

All Implemented Interfaces:
  `INewsAppSoap`

public class NewsAppSoap extends WebService implements INewsAppSoap
Provides SOAP services for managing the news posts.

Change History
Version 6.0

- editNewsPost: New operation added in 6.0 to edit a news post

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewsAppSoap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NewsPostSoapDO`
  `createNewsPost(String sessionId, String projectId, String title, String body)`
  Posts a news item to the project.
  `void`
  `deleteNewsPost(String sessionId, String postId)`
  Deletes a news post.
  `void`
  `editNewsPost(String sessionId, String postId, String title, String body)`
  Modifies a news post.
  `NewsPostSoapList`
  `findNews(String sessionId, String queryString, String projectId, boolean searchAttachments)`
  Finds a list of news posts matching a search string.
  `NewsPostSoapList`
  `getAllNewsPostList(String sessionId)`
  Returns news for all user projects.
  `NewsPostSoapList`
  `getNewsPostList(String sessionId, String projectId)`
  Returns project news.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.WebService

  `assertNormalProject, assertProjectGroup, canGiveFullUserDetails, checkGeneralPermission, checkPermission, checkPermission, checkSiteWidePermission, createUserSessionKey, downloadFile, filterInvalidProjMembers, generateFolderName, getAccessControlService, getApplicationRegistryService, getAttachment, getAuthenticationService, getCategorization, getCoreService, getDiscussion, getDocMan, getDocumentRootFolder, getFileStorageService, getFolderKey, getFolderPath, getFolderPath, getFolderPath, getFrs, getIntegrationData, getItemPath, getItemPath, getLocale, getMonitoring, getNews, getNulledMinSoapDate, getObjectKey, getObjectPath, getOperation, getPages, getPlanning, getPluggableComponent, getProjectId, getProjectPath, getProjectPath, getRbac, getSearch, getStoredFileSize, getStoredFileText, getTagService, getTeam, getTemplate, getTracker, getUser, getUserData, getUsername, getUserService, getWiki, hasPermission, hasSiteWidePermission, isFolderResource, isProjectGroup, isProjectId, isStrEmpty, isSuperUser, isValidEmail, makeStoredFileDO, makeStoredFileDOs, requireProjectAdminPermission, setPartialOrFullUserData, setUserNameToResponse, storeFile, storeTextFile, validateChoice, validateChoice, validateIconFile, validateString, validateStringArray, validateStringWithTrim, validateTokenAndExactUsername, validateTokenAndExactUsername, validateWikiPageName, verifyLicense`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NewsAppSoap

    public NewsAppSoap()

- ## Method Details

  - ### getNewsPostList

    public NewsPostSoapList getNewsPostList(String sessionId, String projectId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Returns project news.
    Specified by:
      `getNewsPostList` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      List of news posts associated with this project.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      4.1

  - ### getAllNewsPostList

    public NewsPostSoapList getAllNewsPostList(String sessionId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Returns news for all user projects.
    Specified by:
      `getAllNewsPostList` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
    Returns:
      List of all news posts associated with user's projects.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      4.1

  - ### createNewsPost

    public NewsPostSoapDO createNewsPost(String sessionId, String projectId, String title, String body) throws InvalidSessionFault, NoSuchObjectFault, IllegalArgumentFault, PermissionDeniedFault, SystemFault
    Posts a news item to the project.
    Specified by:
      `createNewsPost` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `title` - News post title.
      `body` - News post body.
    Returns:
      Newly created new item data.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      4.1

  - ### editNewsPost

    public void editNewsPost(String sessionId, String postId, String title, String body) throws InvalidSessionFault, NoSuchObjectFault, IllegalArgumentFault, PermissionDeniedFault, SystemFault
    Modifies a news post.
    Specified by:
      `editNewsPost` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `postId` - Post id.
      `title` - News post title.
      `body` - News post body.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified post id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      6.0

  - ### deleteNewsPost

    public void deleteNewsPost(String sessionId, String postId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Deletes a news post.
    Specified by:
      `deleteNewsPost` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `postId` - News post id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      4.1

  - ### findNews

    public NewsPostSoapList findNews(String sessionId, String queryString, String projectId, boolean searchAttachments) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SearchQuerySyntaxFault, SystemFault
    Finds a list of news posts matching a search string.
    Specified by:
      `findNews` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `queryString` - Query string.
      `projectId` - The project in which to find news posts. (if null, search all projects)
      `searchAttachments` - Whether to search attachments.
    Returns:
      List of posts matching search criteria.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      4.1